<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Interfaz EDI/WMS - RECIBOS</title>
</head>

<body>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP
	
///************************************************ INICIA REGISTRO NUEVO	************************************************///
///========================================================================================================================///	
	
	
///Configuramos conexión a BD Interfaces
$con_WMS= mysql_connect("localhost","wmsDexIber13","@Usu13_2016");
mysql_select_db("wms_dextramul", $con_WMS);

///Identificar pendientes de Envio - NOTIFICACION EDI	
$sql_Q1 = mysql_query("select ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,TIPOINTERFAZEDI,ESTATUS from wms_estatus_edi where ESTATUS='PENDIENTE' AND TIPOINTERFAZEDI='RECIBO' Limit 0,1");
if (mysql_numrows($sql_Q1)==0) echo "";
else{
$registro_Q1=mysql_fetch_array($sql_Q1);
}
if (mysql_numrows($sql_Q1)>0)
{
$IdBaDa_Q1=$registro_Q1["ID"];
$CveBod_Q1=$registro_Q1["CVE_BODEGA"];
$CveCta_Q1=$registro_Q1["CVE_CUENTA"];
$NoDocu_Q1=$registro_Q1["NO_DOCUMENTO"];
$TipInt_Q1=$registro_Q1["TIPOINTERFAZEDI"];
$Estatu_Q1=$registro_Q1["ESTATUS"];	
}	
	
///Asignando Nombre al Archivo EDI
$NomARC = "DEXERP_".$NoDocu_Q1;

///Consultando Datos de Exportación
$sql_EDI2 = mysql_query("select FECHA_REG,HORA_REG,FECHA_RECI,HORA_RECI,FECHA_CIE,HORA_CIE from tabla_documentos where CVE_CUENTA='$CveCta_Q1' AND NO_DOC_COMPLE='$NoDocu_Q1'");
if (mysql_numrows($sql_EDI2)==0) echo "";
else{
$registro_EDI2=mysql_fetch_array($sql_EDI2);
}
if (mysql_numrows($sql_EDI2)>0)
{
$FRegi=$registro_EDI2["FECHA_REG"];
$HRegi=$registro_EDI2["HORA_REG"];
$FReci=$registro_EDI2["FECHA_RECI"];
$HReci=$registro_EDI2["HORA_RECI"];
$FCier=$registro_EDI2["FECHA_CIE"];
$HCIer=$registro_EDI2["HORA_CIE"];
}
	
$sql_EDI3 = mysql_query("select FECHA,HORA from tabla_detalledocumentos where NO_DOC_COMPLE='$NoDocu_Q1' AND CVE_CUENTA='$CveCta_Q1' Order By ID DESC Limit 0,1");
if (mysql_numrows($sql_EDI3)==0) echo "";
else{
$registro_EDI3=mysql_fetch_array($sql_EDI3);
}
if (mysql_numrows($sql_EDI3)>0)
{
$FDeta=$registro_EDI3["FECHA"];
$HDeta=$registro_EDI3["HORA"];
}

$sql_EDI4 = mysql_query("select FECHA,HORA from tabla_asociaanden where NO_DOCUMENTO='$NoDocu_Q1' AND CVE_CUENTA='$CveCta_Q1'");
if (mysql_numrows($sql_EDI4)==0) echo "";
else{
$registro_EDI4=mysql_fetch_array($sql_EDI4);
}
if (mysql_numrows($sql_EDI4)>0)
{
$FAnde=$registro_EDI4["FECHA"];
$HAnde=$registro_EDI4["HORA"];
}	
	
$sql_EDI5 = mysql_query("select COUNT( * ) As NCiclos from tabla_recibo where NO_DOCUMENTO='$NoDocu_Q1' AND CVE_CUENTA='$CveCta_Q1'");
if (mysql_numrows($sql_EDI5)==0) echo "";
else{
$registro_EDI5=mysql_fetch_array($sql_EDI5);
}
if (mysql_numrows($sql_EDI5)>0)
{
$Ciclos=$registro_EDI5["NCiclos"];
}
	
/////*****************************************************************************************************************/////
////Empieza - Creación de Archivo EDI

///Creamos un archivo nuevo
$file = fopen("C:/InterfacesEDI/$NomARC.txt", "w");	
	
///Generar Lineas de Log's
fwrite($file,"$FRegi $HRegi -> Inicia Transferencia ... Importación de documento ..." . PHP_EOL);
fwrite($file,"$FRegi $HRegi -> Creación De Documento de Recibo: Ok!" . PHP_EOL);
fwrite($file,"$FDeta $HDeta -> Creación Detalle Documento de Recibo: Ok!" . PHP_EOL);
fwrite($file,"$FAnde $HAnde -> Asociación de Anden de Recibo: Ok!" . PHP_EOL);
fwrite($file,"$FReci $HReci -> Recibo Fisico/Teorico: Ok!" . PHP_EOL);
fwrite($file,"$FCier $HCIer -> Cierre de Recibo: Ok!" . PHP_EOL);
fwrite($file,"$FCier $HCIer -> Numero de Ciclos: $Ciclos" . PHP_EOL);
fwrite($file,"...Detalle de Recibo" . PHP_EOL);
fwrite($file,"" . PHP_EOL);
fwrite($file,"DOCUMENTO|SKU|ALT|DESCRIPCION|#FACTURA|CANTXRECIBIR|CANTRECIBIDA|LOTE|LOTEPRODUCCION" . PHP_EOL);
	
$sqlW1 = "Select SKU,SKU_ALT,DESCRIPCION,NO_FACTURA,CANT_XRECIBIR,CANT_RECIBIDA,LOTE,LOTEPRODU from tabla_recibo WHERE NO_DOC_COMPLE='$NoDocu_Q1' AND CVE_CUENTA='$CveCta_Q1'";
$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))	
	{///Inicia While de Llenado				
		$Sku_W1=$rowW1["SKU"];
		$Alt_W1=$rowW1["SKU_ALT"];
		$Des_W1=$rowW1["DESCRIPCION"];
		$Fac_W1=$rowW1["NO_FACTURA"];
		$xRe_W1=$rowW1["CANT_XRECIBIR"];
		$Rec_W1=$rowW1["CANT_RECIBIDA"];
		$Lot_W1=$rowW1["LOTE"];
		$LPr_W1=$rowW1["LOTEPRODU"];
		
		fwrite($file,"$NoDocu_Q1|$Sku_W1|$Alt_W1|$Des_W1|$Fac_W1|$xRe_W1|$Rec_W1|$Lot_W1|$LPr_W1" . PHP_EOL);
		
		///Limiar Variables
		$Sku_W1 = "";
		$Des_W1 = "";
		$Fac_W1 = "";
		$xRe_W1 = "";
		$Rec_W1 = "";
		$Lot_W1 = "";
		$LPr_W1 = "";
		
	}///Termina While de Llenado	

///Genera Sellos de Tiempo
$Hora_OK2=time();
$Hora_OKFIN=date("H:i:s",$Hora_OK2);

$Hora2=time();
$Hora_M=date("H:i:s",$Hora);
$Fech_M=date("Y/m/d");
fwrite($file,"" . PHP_EOL);	
fwrite($file,"$Fech_M $Hora_OKFIN -> Finaliza Transferencia ..." . PHP_EOL);					

fclose($file);	

////Termina - Creación de Archivo EDI	
/////*****************************************************************************************************************/////

	
////Empieza - Ascenso de Archivo EDI a FTP
/////*****************************************************************************************************************/////	
		
$local_file = 'C:/InterfacesEDI/'.$NomARC.'.txt'; //Nombre archivo en nuestro PC
$server_file = 'httpdocs/NotificacionesEdiFicheros/Recibos/'.$NomARC.'.txt'; //Nombre archivo en FTP
///$local_file = 'Mix31416.txt'; //Nombre archivo en nuestro PC
///$server_file = 'httpdocs/ArchivosEDI/Recibos/Mix31416.txt'; //Nombre archivo en FTP	
	
// Establecer la conexión
$ftp_server='logsyswms.com';
$ftp_user_name='logsyswm';
$ftp_user_pass='t48K6s0gRa';
$conn_id = ftp_connect($ftp_server);
	
// Loguearse con usuario y contraseña
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
	
// Descarga el $local_file y lo guarda en $server_file 
if (ftp_put($conn_id, $server_file, $local_file, FTP_BINARY)) {
echo "su archivo ha sido cargado exitosamente desarrollo\n";
} else {
echo "Ha ocurrido un error intente de nuevo\n";
}
// Cerrar la conexión
ftp_close($conn_id);	
	
////Termina - Ascenso de Archivo EDI a FTP
/////*****************************************************************************************************************/////	
	
	
	
///Detectar las cuentas de Usuario a las que se les mandara la Interfaz EDI
$sql_EDI6 = mysql_query("select * from wms_configura_edi where CVE_CUENTA='$CveCta_Q1' AND TIPOINTERFAZEDI='RECIBO' AND ESTATUS='ACTIVA'");
if (mysql_numrows($sql_EDI6)==0) echo "";
else{
$registro_EDI6=mysql_fetch_array($sql_EDI6);
}
if (mysql_numrows($sql_EDI6)>0)
{
$CuentaDestino1=$registro_EDI6["CORREO1"];
$CuentaDestino2=$registro_EDI6["CORREO2"];
$CuentaDestino3=$registro_EDI6["CORREO3"];
$CuentaDestino4=$registro_EDI6["CORREO4"];
$CuentaDestino5=$registro_EDI6["CORREO5"];
$CuentaDestino6=$registro_EDI6["CORREO6"];
$addressCCO1=$registro_EDI6["CORREO_CCO1"];
$addressCCO2=$registro_EDI6["CORREO_CCO2"];
$addressCCO3=$registro_EDI6["CORREO_CCO3"];
}	
	
///Identificar el Nombre de la Cuenta
$sqlCR1 = mysql_query("select NOMBRE_CUENTA from wms_configura_altacuentas where CVE_CUENTA='$CveCta_Q1'");
if (mysql_numrows($sqlCR1)==0) echo "";
else{
$registroCR1=mysql_fetch_array($sqlCR1);
}
if (mysql_numrows($sqlCR1)>0)
{
$NomCtaCR1=$registroCR1["NOMBRE_CUENTA"];
}

///Identificar el Nombre de la Bodega	
$sqlCR2 = mysql_query("select NOMBRE_BODEGA from wms_configura_altabodega where CVE_BODEGA='$CveBod_Q1'");
if (mysql_numrows($sqlCR2)==0) echo "";
else{
$registroCR2=mysql_fetch_array($sqlCR2);
}
if (mysql_numrows($sqlCR2)>0)
{
$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
}	

$BodGet = $CveBod_Q1." - ".$NomBodCR2;
$CtaGet = $CveCta_Q1." - ".$NomCtaCR1;
$DocGet = $NoDocu_Q1;
$CreGet = $FRegi." - ".$HRegi;
$IniGet = $FReci." - ".$HReci;
$FinGet = $FReci." - ".$HReci;
$CicGet = $Ciclos;
$CieGet = $FCier." - ".$HCIer;
	
///Confirmar la ejecución
$Hora_Env=time();
$HoraOK_Env=date("H:i:s",$Hora_Env);
$Fecha_Env=date("Y/m/d");	
	
$sql_MBuf="Update wms_estatus_edi SET ESTATUS='ENVIADA', USU_ENV='datacenter', FECHA_ENV='$Fecha_Env', HORA_ENV='$HoraOK_Env' Where NO_DOCUMENTO='$NoDocu_Q1' AND CVE_CUENTA='$CveCta_Q1' AND ID='$IdBaDa_Q1'";
$resultado_MBuf=mysql_query($sql_MBuf,$con_WMS) or die(mysql_error());	
	
///Redireccionamientos
echo "<META HTTP-EQUIV=Refresh CONTENT='2; URL=http://logsyswms.com/NotificacionesEdiCorreo/001-NotificacionesEDI_RECIBOS_MAIL.php?mail1=$CuentaDestino1&mail2=$CuentaDestino2&mail3=$CuentaDestino3&mail4=$CuentaDestino4&mail5=$CuentaDestino5&mail6=$CuentaDestino6&cco1=$addressCCO1&cco2=$addressCCO2&cco3=$addressCCO3&bod=$BodGet&cta=$CtaGet&doc=$DocGet&cre=$CreGet&ini=$IniGet&fin=$FinGet&cic=$CicGet&cie=$CieGet&arc=$NomARC'>";	

?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->
	
</body>
</html>